Your submission was sent successfully! Close

CVE-2022-1154

Published: 30 March 2022

Use after free in utf_ptr2char in GitHub repository vim/vim prior to 8.2.4646.

Notes

AuthorNote
ccdm94
in bionic and earlier, vulnerable function is in file src/regexp.c
instead of file src/regexp_bt.c.
Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
vim
Launchpad, Ubuntu, Debian
bionic
Released (2:8.0.1453-1ubuntu1.9)
focal
Released (2:8.1.2269-1ubuntu5.8)
impish Ignored
(reached end-of-life)
jammy
Released (2:8.2.3995-1ubuntu2.1)
trusty
Released (2:7.4.052-1ubuntu3.1+esm5)
upstream
Released (8.2.4646)
xenial
Released (2:7.4.1689-3ubuntu1.5+esm4)
Patches:
upstream: https://github.com/vim/vim/commit/b55986c52d4cd88a22d0b0b0e8a79547ba13e1d5